// Spell checking dictionary for Mozilla Thunderbird
// Script written by rockstiff. Dictionary from openoffice.org

const APP_DISPLAY_NAME	= "French (France) dictionary";
const APP_NAME			= "spell-fr-FR";
const APP_PACKAGE		= "dictionaries.mozdev.org/spell-fr-FR";
const APP_VERSION		= "0.1";

var err = initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
if (err==SUCCESS) {

  // Copy files to Components/myspell
  var myspell_folder = getFolder("Components", "myspell");
  addFile(APP_NAME, "fr-FR.dic", myspell_folder, "");
  addFile(APP_NAME, "fr-FR.aff", myspell_folder, "");
  addFile(APP_NAME, "README-fr-FR.txt", myspell_folder, "");

  err = performInstall();
  if(err == SUCCESS || err == 999) {
    alert(APP_DISPLAY_NAME+" (v "+APP_VERSION+") has been succesfully installed.\n");
  }
  else {
    alert("Installation failed. Error:" + err);
    cancelInstall(err);
  }

}
else {
  cancelInstall(err);
}

